<?php
/* Metodos de acceso a los campos de la tabla PR_ListaItem redefinidos por el usuario */
class PR_ListaItemBN extends BasePR_ListaItemBN
{
    public function getItemDesc()
    {
        $o_ALM_ItemMastFN = new ALM_ItemMastFN();
        $o_ALM_ItemMastBN = $o_ALM_ItemMastFN->selectByPK( $this->getIdItem() );
        return $o_ALM_ItemMastBN->getDescripcionCompleta();
    }
    
    protected $IdSucursal;
    public function setIdSucursal( $v )
    {
        $this->IdSucursal = $v;
    }
    public function getIdSucursal()
    {
        return $this->IdSucursal;
    }
    
    protected $DescripcionPromo;
    public function setDescripcionPromo( $v )
    {
        $this->DescripcionPromo = $v;
    }
    public function getDescripcionPromo()
    {
        return $this->DescripcionPromo;
    }
}
?>